{% extends "base.html" %}
{% block extra_header %}
{% if do_addr_editing %}
<script type="text/javascript"
    src="http://maps.google.com/maps/api/js?sensor=false">
</script>
<script type="text/javascript">

function codeAddress() {
  var geocoder = new google.maps.Geocoder();
  var address = document.getElementById("id_addr").value;
  geocoder.geocode( { 'address': address}, function(results, status) {
    if (status != google.maps.GeocoderStatus.OK) return;

    var ac = results[0];

    // address elements
    ae = ac.formatted_address.split(',');
    ae.pop(); // Get rid of the country
    document.getElementById("id_addr").value = ae.join(',');

    loc = ac.geometry.location;
    document.getElementById("id_geo").value = '' + loc.lat() + ',' + loc.lng()
  });
}

function initialize() {
  codeAddress();
}
</script>

{% endif %}
{% endblock %}
{% if do_addr_editing %}
{% block body_tag_extension %} onload="initialize()" {% endblock %}
{% endif %}
{% block page_body %}
<form action="/add_property" method="post">{% csrf_token %}
<table>
{{ form.as_table }}
</table>
<input type="submit" value="Submit" />
</form>

{% endblock %}
